Index: trunk/doc/Flair/_vector2_d_8h.js
===================================================================
--- trunk/doc/Flair/_vector2_d_8h.js	(revision 47)
+++ trunk/doc/Flair/_vector2_d_8h.js	(revision 50)
@@ -2,8 +2,10 @@
 [
     [ "Vector2D", "classflair_1_1core_1_1_vector2_d.html", "classflair_1_1core_1_1_vector2_d" ],
-    [ "operator+", "_vector2_d_8h.html#ada20416deb1802b5f5deddb85f02b6ed", null ],
-    [ "operator-", "_vector2_d_8h.html#a601f3ca18a9e417dc2bb7d8eb2db7b42", null ],
-    [ "operator/", "_vector2_d_8h.html#a36ec6f59d72394edcd8de9ab2cb50fa7", null ],
-    [ "operator*", "_vector2_d_8h.html#a6d9cfe0404b2d0f59598ede6cad5b036", null ],
-    [ "operator*", "_vector2_d_8h.html#a2701e2f2b64dcf867078a3fd2e01ec9f", null ]
+    [ "Vector2Df", "_vector2_d_8h.html#abc8f6e4575318eceb0d34dd38d6cb783", null ],
+    [ "operator+", "_vector2_d_8h.html#a762372bce051dd5543ec9f596e3f863c", null ],
+    [ "operator-", "_vector2_d_8h.html#ae0485a88dc635bfdea7b0282ac0369c4", null ],
+    [ "operator-", "_vector2_d_8h.html#ac3c3c0fe665086b60dac657b8ee40911", null ],
+    [ "operator/", "_vector2_d_8h.html#afed3cf9fa6c2e0afb37994f55222d019", null ],
+    [ "operator*", "_vector2_d_8h.html#a4f6b5216e29c497351829aae1cd86ca4", null ],
+    [ "operator*", "_vector2_d_8h.html#a002f684b4b4b844feaed934297b651a2", null ]
 ];
Index: trunk/doc/Flair/_vector3_d_8h.js
===================================================================
--- trunk/doc/Flair/_vector3_d_8h.js	(revision 47)
+++ trunk/doc/Flair/_vector3_d_8h.js	(revision 50)
@@ -2,12 +2,13 @@
 [
     [ "Vector3D", "classflair_1_1core_1_1_vector3_d.html", "classflair_1_1core_1_1_vector3_d" ],
-    [ "operator+", "_vector3_d_8h.html#a6445af2cc5145fc68833d6257072bcb5", null ],
-    [ "operator-", "_vector3_d_8h.html#aa699543f49850bdc5a3707ae6f768907", null ],
-    [ "operator-", "_vector3_d_8h.html#a25508af0e609e676205a68f528b72f7c", null ],
-    [ "operator/", "_vector3_d_8h.html#a8aa5ce31a59d8c9679ea46f08cd09bda", null ],
-    [ "operator*", "_vector3_d_8h.html#a09c909db6a634147cc63ebd2aea5a2d2", null ],
-    [ "operator*", "_vector3_d_8h.html#a02ef876816209fff2d79cb1d79ccff84", null ],
-    [ "operator*", "_vector3_d_8h.html#a449cfa3fbd1852d5718a835112f6957e", null ],
-    [ "CrossProduct", "_vector3_d_8h.html#a4e3e0c05a548ad880197a0f90cb68305", null ],
-    [ "DotProduct", "_vector3_d_8h.html#a0eaa0f510f506d44345e82acd65e9b86", null ]
+    [ "Vector3Df", "_vector3_d_8h.html#a8b0038ee673b89322347a81adef054f0", null ],
+    [ "operator+", "_vector3_d_8h.html#a131335b8d92a76f6d3a40d9762ad0bdb", null ],
+    [ "operator-", "_vector3_d_8h.html#a8672d248dccb0e7378a7b01a41a9e4e9", null ],
+    [ "operator-", "_vector3_d_8h.html#af0db4963be6fc919dd900fd01d9a61f0", null ],
+    [ "operator/", "_vector3_d_8h.html#a65433796fbd8ccc2e1bb797be204b249", null ],
+    [ "operator*", "_vector3_d_8h.html#a2b78f60f37e4ba6d62db603ca6631e95", null ],
+    [ "operator*", "_vector3_d_8h.html#a2604f9cc047961b44a0db4aa0434b36e", null ],
+    [ "operator*", "_vector3_d_8h.html#a661465072c8d4b3592abde48c068d73a", null ],
+    [ "CrossProduct", "_vector3_d_8h.html#a619733e606845eb59f7e779f2f119019", null ],
+    [ "DotProduct", "_vector3_d_8h.html#a792d54dcdbd816e6c7bc5ac04b5d9b22", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1actuator_1_1_bl_ctrl_v2__x4__speed.js
===================================================================
--- trunk/doc/Flair/classflair_1_1actuator_1_1_bl_ctrl_v2__x4__speed.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1actuator_1_1_bl_ctrl_v2__x4__speed.js	(revision 50)
@@ -1,5 +1,5 @@
 var classflair_1_1actuator_1_1_bl_ctrl_v2__x4__speed =
 [
-    [ "BlCtrlV2_x4_speed", "classflair_1_1actuator_1_1_bl_ctrl_v2__x4__speed.html#a7d101a7871892ebb7807635231e38d48", null ],
+    [ "BlCtrlV2_x4_speed", "classflair_1_1actuator_1_1_bl_ctrl_v2__x4__speed.html#a7d4193f451190bd503eb5c9a2f3ec428", null ],
     [ "~BlCtrlV2_x4_speed", "classflair_1_1actuator_1_1_bl_ctrl_v2__x4__speed.html#a153327ef9de1fd535d7dbfeff16a6636", null ],
     [ "UseDefaultPlot", "classflair_1_1actuator_1_1_bl_ctrl_v2__x4__speed.html#a398c9101d61a4f83f9266d685a4f7fc9", null ],
Index: trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc.js
===================================================================
--- trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1actuator_1_1_simu_bldc.js	(revision 50)
@@ -1,6 +1,6 @@
 var classflair_1_1actuator_1_1_simu_bldc =
 [
-    [ "SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#a1ac27a1de4c51b10aa3c4b03d55f6e7e", null ],
-    [ "SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#a6fbe71496dd9b7ad86630b4c23868dac", null ],
+    [ "SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#ad960e5a34f19d664b1b576eea826997f", null ],
+    [ "SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#a76b2fb40a3736ff2f7c33f68b61f370b", null ],
     [ "~SimuBldc", "classflair_1_1actuator_1_1_simu_bldc.html#a10fd091319fd0532681078badeb2ecd8", null ],
     [ "GetSpeeds", "classflair_1_1actuator_1_1_simu_bldc.html#a94b7583f7bd4fd72706cfb8363316438", null ],
Index: trunk/doc/Flair/classflair_1_1core_1_1_ahrs_data.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_ahrs_data.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1core_1_1_ahrs_data.js	(revision 50)
@@ -25,8 +25,8 @@
     [ "SetQuaternion", "classflair_1_1core_1_1_ahrs_data.html#a97a810113ff30b4a7661cedfbd00a248", null ],
     [ "GetQuaternion", "classflair_1_1core_1_1_ahrs_data.html#a7dae31f1c0d942ee2090f00d1126df6c", null ],
-    [ "SetAngularRates", "classflair_1_1core_1_1_ahrs_data.html#a61a8f0048c0c9405df6fa92869362c3f", null ],
-    [ "GetAngularRates", "classflair_1_1core_1_1_ahrs_data.html#ac38add9509e454eccf12e151d3b893b8", null ],
-    [ "GetQuaternionAndAngularRates", "classflair_1_1core_1_1_ahrs_data.html#a7ff2e8d3918e3bb11938751b86615dad", null ],
-    [ "SetQuaternionAndAngularRates", "classflair_1_1core_1_1_ahrs_data.html#ab8f2d4b2b052504108b64ae86d7b2675", null ],
+    [ "SetAngularRates", "classflair_1_1core_1_1_ahrs_data.html#ad5b8be3de3fbd4ec342ea616132659dd", null ],
+    [ "GetAngularRates", "classflair_1_1core_1_1_ahrs_data.html#a32909780fe8fa7e39932443007ef4389", null ],
+    [ "GetQuaternionAndAngularRates", "classflair_1_1core_1_1_ahrs_data.html#ab8eee838e9a7f8f503638cf183af55dd", null ],
+    [ "SetQuaternionAndAngularRates", "classflair_1_1core_1_1_ahrs_data.html#a2b6f3f93c50b4b4ae304979eec889750", null ],
     [ "GetDataType", "classflair_1_1core_1_1_ahrs_data.html#afdc512807db7029ace2ba72cf42c5754", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1core_1_1_gps_data.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_gps_data.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1core_1_1_gps_data.js	(revision 50)
@@ -12,5 +12,8 @@
       [ "Up", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da6e6b10640264c0e589cf31475bbcbe00", null ],
       [ "EastVelocity", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da7f5f93b8e83079b4dcba24866dc9c173", null ],
-      [ "NorthVelocity", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da07766d5461b9b9278731edc5790507dd", null ]
+      [ "NorthVelocity", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da07766d5461b9b9278731edc5790507dd", null ],
+      [ "Pdop", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33dad7a4d4d6814c2101848dac182da1cd8f", null ],
+      [ "Hdop", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da4321ef6eddea5526e3dc564032cb0706", null ],
+      [ "Vdop", "classflair_1_1core_1_1_gps_data.html#ae2cac37d2ddaea43014053c88790a33da2ca1d1163d839d91d92ac046a1d5fdfc", null ]
     ] ],
     [ "FixQuality_t", "classflair_1_1core_1_1_gps_data.html#afb181594acc39c15c07e5ed5801021b6", [
@@ -38,4 +41,6 @@
     [ "GetFixQuality", "classflair_1_1core_1_1_gps_data.html#a3cfaba20bdb233f7aa5605f3286e642e", null ],
     [ "SetFixQuality", "classflair_1_1core_1_1_gps_data.html#ade62faa0efb52070acae36b4f3f485b8", null ],
+    [ "GetDop", "classflair_1_1core_1_1_gps_data.html#ad0442d89cc3b54d8f216e6539db051b6", null ],
+    [ "SetDop", "classflair_1_1core_1_1_gps_data.html#a1938a21ef420d22df14bbde302530bfd", null ],
     [ "GetDataType", "classflair_1_1core_1_1_gps_data.html#a7879d663abd8f65c224c25ac4479880d", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1core_1_1_i_o_device.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_i_o_device.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1core_1_1_i_o_device.js	(revision 50)
@@ -6,7 +6,9 @@
     [ "AddDataToLog", "classflair_1_1core_1_1_i_o_device.html#a2e0b7af75abdbf39843d8bf2e45f08b9", null ],
     [ "OutputToShMem", "classflair_1_1core_1_1_i_o_device.html#a12d811c6926fb86da6b47f889109da66", null ],
+    [ "IsReady", "classflair_1_1core_1_1_i_o_device.html#aee7828ae2eece2bace8e476dacc2bc12", null ],
     [ "GetInputDataType", "classflair_1_1core_1_1_i_o_device.html#a75e82ca2ae2fb7c39d973dd3d16bc698", null ],
     [ "GetOutputDataType", "classflair_1_1core_1_1_i_o_device.html#aa325be57d48b268006120dde75dd65cc", null ],
     [ "ProcessUpdate", "classflair_1_1core_1_1_i_o_device.html#a3df9057ae23eb34f1b1dae8e7a4a9efc", null ],
+    [ "SetIsReady", "classflair_1_1core_1_1_i_o_device.html#a120fdcc3d50f6f076084cb6943fdf412", null ],
     [ "::IODevice_impl", "classflair_1_1core_1_1_i_o_device.html#a98e657a0de938e3819054ef6b02299c8", null ],
     [ "::Thread_impl", "classflair_1_1core_1_1_i_o_device.html#a8d4dacaaa8b2d282a4c38c48281387c7", null ],
Index: trunk/doc/Flair/classflair_1_1core_1_1_imu_data.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_imu_data.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1core_1_1_imu_data.js	(revision 50)
@@ -19,12 +19,12 @@
     [ "~ImuData", "classflair_1_1core_1_1_imu_data.html#a5ab5c48fd57817f52d479c0d43dfb3e9", null ],
     [ "Element", "classflair_1_1core_1_1_imu_data.html#a4f26aa0799e4156f3885a436a269d9c5", null ],
-    [ "GetRawAcc", "classflair_1_1core_1_1_imu_data.html#a567a19f52b656e65e3dd8ac621ce5303", null ],
-    [ "GetRawMag", "classflair_1_1core_1_1_imu_data.html#ad464c82cc049713922ed69569a25b5c5", null ],
-    [ "GetRawGyr", "classflair_1_1core_1_1_imu_data.html#a5c08078b45632590360cdc378b03b6dd", null ],
-    [ "GetRawAccMagAndGyr", "classflair_1_1core_1_1_imu_data.html#a2556b72388064e419d391b2103892aff", null ],
-    [ "SetRawAcc", "classflair_1_1core_1_1_imu_data.html#a97986291314f4ee0f665b8f8bf7ab056", null ],
-    [ "SetRawMag", "classflair_1_1core_1_1_imu_data.html#a748ece0edfb5ab36f3a76de8536d3ec4", null ],
-    [ "SetRawGyr", "classflair_1_1core_1_1_imu_data.html#a907445ed08625ae9ccb2712f4ff48b22", null ],
-    [ "SetRawAccMagAndGyr", "classflair_1_1core_1_1_imu_data.html#a887ac70f1d54dad615b86e61d890f19c", null ],
+    [ "GetRawAcc", "classflair_1_1core_1_1_imu_data.html#aff48e7fc5d9e5fd5f543080c927b88b5", null ],
+    [ "GetRawMag", "classflair_1_1core_1_1_imu_data.html#adc5d9ec8a2c7ae337ba627dcf2181307", null ],
+    [ "GetRawGyr", "classflair_1_1core_1_1_imu_data.html#a942ccd18b00ffceee25e307fa54a6ea0", null ],
+    [ "GetRawAccMagAndGyr", "classflair_1_1core_1_1_imu_data.html#a5893ae29ee62fea62fee049924fad2bf", null ],
+    [ "SetRawAcc", "classflair_1_1core_1_1_imu_data.html#ad1253132c246fd1106294fa63c9f43d6", null ],
+    [ "SetRawMag", "classflair_1_1core_1_1_imu_data.html#a2c8a03b3ff037fca52e2e0607910f93d", null ],
+    [ "SetRawGyr", "classflair_1_1core_1_1_imu_data.html#afb2c370ce20995a83fb500bc8e966d4e", null ],
+    [ "SetRawAccMagAndGyr", "classflair_1_1core_1_1_imu_data.html#ac9996d7161dfbc620d977208d0626515", null ],
     [ "GetDataType", "classflair_1_1core_1_1_imu_data.html#a9a900757115b2e37ee615fec7d6ed539", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1core_1_1_one_axis_rotation.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_one_axis_rotation.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1core_1_1_one_axis_rotation.js	(revision 50)
@@ -3,7 +3,9 @@
     [ "OneAxisRotation", "classflair_1_1core_1_1_one_axis_rotation.html#ae690cdd68274085cdad88fb990739ba2", null ],
     [ "~OneAxisRotation", "classflair_1_1core_1_1_one_axis_rotation.html#adb99d2f257c0600f9d56813d1b72fe6b", null ],
-    [ "ComputeRotation", "classflair_1_1core_1_1_one_axis_rotation.html#aa9f1c9ccb88c221e4ec62521536e8130", null ],
+    [ "ComputeRotation", "classflair_1_1core_1_1_one_axis_rotation.html#a59b74b5059d847710803259bd1b8f1c1", null ],
     [ "ComputeRotation", "classflair_1_1core_1_1_one_axis_rotation.html#a9326b1fdeae7a485235c8bec5191fcde", null ],
     [ "ComputeRotation", "classflair_1_1core_1_1_one_axis_rotation.html#a95eafcd87e97beacc6e11370a8dde4ff", null ],
-    [ "ComputeRotation", "classflair_1_1core_1_1_one_axis_rotation.html#a3aeb426d4ddd9d33447b86887539eeb5", null ]
+    [ "ComputeRotation", "classflair_1_1core_1_1_one_axis_rotation.html#a3aeb426d4ddd9d33447b86887539eeb5", null ],
+    [ "GetAngle", "classflair_1_1core_1_1_one_axis_rotation.html#a311d0fbae6722ce463f8f20a1c17545b", null ],
+    [ "GetAxis", "classflair_1_1core_1_1_one_axis_rotation.html#af3f1d2cbb28501721998f0ccbbdf6710", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1core_1_1_quaternion.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_quaternion.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1core_1_1_quaternion.js	(revision 50)
@@ -5,10 +5,10 @@
     [ "GetNorm", "classflair_1_1core_1_1_quaternion.html#a6931ec913f61c9708ef5970e63f8b0b5", null ],
     [ "Normalize", "classflair_1_1core_1_1_quaternion.html#aa540ffe227bbacd124c77f95d8c720b3", null ],
-    [ "GetLogarithm", "classflair_1_1core_1_1_quaternion.html#a8ddb69a52a35d36146fee38efb6336d2", null ],
-    [ "GetLogarithm", "classflair_1_1core_1_1_quaternion.html#a6a9b3279a79620aea9a3f9ab67eec245", null ],
+    [ "GetLogarithm", "classflair_1_1core_1_1_quaternion.html#a4753cafd0c78d78a6e6d0200a4cc596f", null ],
+    [ "GetLogarithm", "classflair_1_1core_1_1_quaternion.html#abbda897244c722294de3812bfe7a595b", null ],
     [ "Conjugate", "classflair_1_1core_1_1_quaternion.html#ae3cf1c1892b4d1c70ca055e42709f9df", null ],
     [ "GetConjugate", "classflair_1_1core_1_1_quaternion.html#ab7b4f5b1f7419f6179f4fccc49e4e173", null ],
-    [ "GetDerivative", "classflair_1_1core_1_1_quaternion.html#ac13bf2f238a45ec6d20f1c1d137f1d39", null ],
-    [ "Derivate", "classflair_1_1core_1_1_quaternion.html#a6daa4315e90e3567ab3cc82346deae86", null ],
+    [ "GetDerivative", "classflair_1_1core_1_1_quaternion.html#a08b196fb32f87dd62e6a3906e5ecaf2c", null ],
+    [ "Derivate", "classflair_1_1core_1_1_quaternion.html#a9be083f02e545535ba9dde0dd2ecbcb7", null ],
     [ "ToEuler", "classflair_1_1core_1_1_quaternion.html#a5d45a89dbbb73633701e344259e8b003", null ],
     [ "ToEuler", "classflair_1_1core_1_1_quaternion.html#ad98cdabf355956519d718aac330174ef", null ],
Index: trunk/doc/Flair/classflair_1_1core_1_1_semaphore.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_semaphore.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1core_1_1_semaphore.js	(revision 50)
@@ -3,6 +3,6 @@
     [ "Semaphore", "classflair_1_1core_1_1_semaphore.html#a5db3e44d22d40dd29f6853394300d1df", null ],
     [ "~Semaphore", "classflair_1_1core_1_1_semaphore.html#ae1a3001af72b853a3de39bd11f564790", null ],
-    [ "GetSemaphore", "classflair_1_1core_1_1_semaphore.html#a197221f875628bec292dd6fbe6f04142", null ],
-    [ "ReleaseSemaphore", "classflair_1_1core_1_1_semaphore.html#aa56224f3d283a7d328b6a452f376a6f6", null ],
+    [ "GetSemaphore", "classflair_1_1core_1_1_semaphore.html#a640b354e4a388130befe88ea2b6a2c09", null ],
+    [ "ReleaseSemaphore", "classflair_1_1core_1_1_semaphore.html#a045a06ff109107b9d767efc2ec66d180", null ],
     [ "::ConditionVariable_impl", "classflair_1_1core_1_1_semaphore.html#aad79ca01711327d0cf4a99bbadeeb11d", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1core_1_1_shared_mem.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_shared_mem.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1core_1_1_shared_mem.js	(revision 50)
@@ -1,7 +1,12 @@
 var classflair_1_1core_1_1_shared_mem =
 [
-    [ "SharedMem", "classflair_1_1core_1_1_shared_mem.html#aebdd64cb4a190b25d710a3d069fee033", null ],
+    [ "Type", "classflair_1_1core_1_1_shared_mem.html#ac51e68f77d5ab8dc62e41b90a0a8bff3", [
+      [ "mutex", "classflair_1_1core_1_1_shared_mem.html#ac51e68f77d5ab8dc62e41b90a0a8bff3a25a01bb859125507013a2fe9737d3c32", null ],
+      [ "producerConsumer", "classflair_1_1core_1_1_shared_mem.html#ac51e68f77d5ab8dc62e41b90a0a8bff3a6b67750e05344e188f85ee817c4315c1", null ]
+    ] ],
+    [ "SharedMem", "classflair_1_1core_1_1_shared_mem.html#a003b9e48b88ac57bb7255b80f7768d9f", null ],
     [ "~SharedMem", "classflair_1_1core_1_1_shared_mem.html#af3f51c01e679a8dd1f6f7c64cee55ed7", null ],
     [ "Write", "classflair_1_1core_1_1_shared_mem.html#a7609d68ab9155055bea84cafaf741392", null ],
-    [ "Read", "classflair_1_1core_1_1_shared_mem.html#a9b3efaf91b3a62a58d4466bcaa03b590", null ]
+    [ "Read", "classflair_1_1core_1_1_shared_mem.html#a9b3efaf91b3a62a58d4466bcaa03b590", null ],
+    [ "ReaderReady", "classflair_1_1core_1_1_shared_mem.html#aead806d7b3e48aecefcbb3dcd724ef49", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1core_1_1_thread.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_thread.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1core_1_1_thread.js	(revision 50)
@@ -18,4 +18,5 @@
     [ "Resume", "classflair_1_1core_1_1_thread.html#ae7c46910a801f1b16302570ad8ae9580", null ],
     [ "IsSuspended", "classflair_1_1core_1_1_thread.html#adac9a6d336bdb50bcfa24c66943a355a", null ],
+    [ "IsRunning", "classflair_1_1core_1_1_thread.html#a2a82d0ade1418111c2a4e7d0e133696c", null ],
     [ "SleepUntil", "classflair_1_1core_1_1_thread.html#ac09a2d745af3dbb42371949d4c622011", null ],
     [ "SleepUS", "classflair_1_1core_1_1_thread.html#a3479727dfaf2213f7866fccadb43eeb6", null ],
Index: trunk/doc/Flair/classflair_1_1core_1_1_udp_socket.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_udp_socket.js	(revision 50)
+++ trunk/doc/Flair/classflair_1_1core_1_1_udp_socket.js	(revision 50)
@@ -0,0 +1,11 @@
+var classflair_1_1core_1_1_udp_socket =
+[
+    [ "UdpSocket", "classflair_1_1core_1_1_udp_socket.html#acbea7907c592953320a157dffb21b9de", null ],
+    [ "UdpSocket", "classflair_1_1core_1_1_udp_socket.html#ab1160de1653642d6e67be0423fe26783", null ],
+    [ "~UdpSocket", "classflair_1_1core_1_1_udp_socket.html#adcd4015274c616fda2d6b4bc9e5b7354", null ],
+    [ "SendMessage", "classflair_1_1core_1_1_udp_socket.html#ac80625f2db4a580d4b0724839d15f3a2", null ],
+    [ "SendMessage", "classflair_1_1core_1_1_udp_socket.html#ae15d1490b1c2b3657e1428ceb4bcee02", null ],
+    [ "RecvMessage", "classflair_1_1core_1_1_udp_socket.html#ab7baa24d07f00a5b882d5f89826adcd1", null ],
+    [ "NetworkToHost", "classflair_1_1core_1_1_udp_socket.html#a15aa9563f5f01a13eb4d18bd9e77f374", null ],
+    [ "HostToNetwork", "classflair_1_1core_1_1_udp_socket.html#acedd60fb4d543ee28c3e5f518fa4192f", null ]
+];
Index: trunk/doc/Flair/classflair_1_1core_1_1_vector2_d.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_vector2_d.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1core_1_1_vector2_d.js	(revision 50)
@@ -1,16 +1,18 @@
 var classflair_1_1core_1_1_vector2_d =
 [
-    [ "Vector2D", "classflair_1_1core_1_1_vector2_d.html#a6d04dae020f8f71b144a9585f10c72c8", null ],
-    [ "~Vector2D", "classflair_1_1core_1_1_vector2_d.html#a78515224e96adcca8c23b0f4bf092fed", null ],
-    [ "Rotate", "classflair_1_1core_1_1_vector2_d.html#a246911712ac7ad79a533a5e226e8a6bd", null ],
-    [ "RotateDeg", "classflair_1_1core_1_1_vector2_d.html#a80ed74448580adf222bbdcfa5d35d26d", null ],
-    [ "GetNorm", "classflair_1_1core_1_1_vector2_d.html#a889d84730619570fe59de98ffe589722", null ],
-    [ "Normalize", "classflair_1_1core_1_1_vector2_d.html#afe22b1f414ccc721a65b014a57cb0fdf", null ],
-    [ "Saturate", "classflair_1_1core_1_1_vector2_d.html#a90c2504d93b1feb260613955f98e9a1d", null ],
-    [ "Saturate", "classflair_1_1core_1_1_vector2_d.html#adae894806c051710f80cc83de69e92f7", null ],
-    [ "Saturate", "classflair_1_1core_1_1_vector2_d.html#ac13fcde85cf0576201e47272ab6036be", null ],
-    [ "Saturate", "classflair_1_1core_1_1_vector2_d.html#a498a2466751630d0d6e2d40efc2b008e", null ],
-    [ "operator=", "classflair_1_1core_1_1_vector2_d.html#ae1885f660e2f9b21e3f814bb72efa589", null ],
-    [ "x", "classflair_1_1core_1_1_vector2_d.html#a4c496c0f75c9e7ea1eb6fe24756c841b", null ],
-    [ "y", "classflair_1_1core_1_1_vector2_d.html#ade6bd3b2086bd23384ad48d6d342b275", null ]
+    [ "Vector2D", "classflair_1_1core_1_1_vector2_d.html#a4b3ae561882bcb95db97ee23e07eae9e", null ],
+    [ "~Vector2D", "classflair_1_1core_1_1_vector2_d.html#a7b26acd44a32983e8e901fa761c368df", null ],
+    [ "Rotate", "classflair_1_1core_1_1_vector2_d.html#a21daa593189491de24363448b1ad73af", null ],
+    [ "RotateDeg", "classflair_1_1core_1_1_vector2_d.html#a572147dfa3c10871a9e01904a1f9a751", null ],
+    [ "GetNorm", "classflair_1_1core_1_1_vector2_d.html#a81926d1dc61bb56706b99f5bfb4d1ca3", null ],
+    [ "Normalize", "classflair_1_1core_1_1_vector2_d.html#a9ee928de991ca4872f2e877e87393f03", null ],
+    [ "Saturate", "classflair_1_1core_1_1_vector2_d.html#ab7c4e044ae4a49d8bfc344023540ceeb", null ],
+    [ "Saturate", "classflair_1_1core_1_1_vector2_d.html#ae273561ec3dda8b2976aa8c26a3c3d6f", null ],
+    [ "Saturate", "classflair_1_1core_1_1_vector2_d.html#a7551a14a121ef7637f18b5dabc0d6f19", null ],
+    [ "Saturate", "classflair_1_1core_1_1_vector2_d.html#ab5685f2986c3f1b6f0c7caa596120ee1", null ],
+    [ "operator=", "classflair_1_1core_1_1_vector2_d.html#a806eaaf09726b63320b68911bef05911", null ],
+    [ "operator+=", "classflair_1_1core_1_1_vector2_d.html#ac7963973a8e2c965c4fef7ef65042f43", null ],
+    [ "operator-=", "classflair_1_1core_1_1_vector2_d.html#a8217462c874479f7bad85b653a1b6e22", null ],
+    [ "x", "classflair_1_1core_1_1_vector2_d.html#adc92c6671b0a23292eff87f782791d7b", null ],
+    [ "y", "classflair_1_1core_1_1_vector2_d.html#a7f971d69af939edaf3f3b99339f9e389", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1core_1_1_vector3_d.js
===================================================================
--- trunk/doc/Flair/classflair_1_1core_1_1_vector3_d.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1core_1_1_vector3_d.js	(revision 50)
@@ -1,29 +1,29 @@
 var classflair_1_1core_1_1_vector3_d =
 [
-    [ "Vector3D", "classflair_1_1core_1_1_vector3_d.html#a665b8d12fefcce0292ff2a64d98cae04", null ],
-    [ "~Vector3D", "classflair_1_1core_1_1_vector3_d.html#a32d5a51c0d55cb421b8ea03328a116c4", null ],
-    [ "RotateX", "classflair_1_1core_1_1_vector3_d.html#ac752f69f6eabcfdcc5a7a87938acca5b", null ],
-    [ "RotateXDeg", "classflair_1_1core_1_1_vector3_d.html#a12718713487838295bbfa7d37a62fe4b", null ],
-    [ "RotateY", "classflair_1_1core_1_1_vector3_d.html#a6f35427a9d3ceac38b7fd288bb9ddde8", null ],
-    [ "RotateYDeg", "classflair_1_1core_1_1_vector3_d.html#ac0841a063753ae1b3ceb98fe7ae72e60", null ],
-    [ "RotateZ", "classflair_1_1core_1_1_vector3_d.html#a2576c1e8cc0113884d30c6d6b158a0b1", null ],
-    [ "RotateZDeg", "classflair_1_1core_1_1_vector3_d.html#abdfb5c26a13ca21ad5674ec5d1f83ec8", null ],
-    [ "Rotate", "classflair_1_1core_1_1_vector3_d.html#abf242a58a3126477a930e34a7a9d6097", null ],
-    [ "Rotate", "classflair_1_1core_1_1_vector3_d.html#aba5e970bf0b6cdb650bf8b31771fa360", null ],
-    [ "To2Dxy", "classflair_1_1core_1_1_vector3_d.html#a3fd138b1900ecdbde6c769418690f0ab", null ],
-    [ "To2Dxy", "classflair_1_1core_1_1_vector3_d.html#a2e429622d42ce939ec33d04cf68f6c66", null ],
-    [ "GetNorm", "classflair_1_1core_1_1_vector3_d.html#a6787f33bc83a7e98f906a65f6add13ab", null ],
-    [ "Normalize", "classflair_1_1core_1_1_vector3_d.html#ac366fd091759be0c39ef8d342f5d2007", null ],
-    [ "Saturate", "classflair_1_1core_1_1_vector3_d.html#a5cb64b1d1a281549d8ec8ae87ad7ab85", null ],
-    [ "Saturate", "classflair_1_1core_1_1_vector3_d.html#a84b84ea0d3a45915d5869a04d7641a38", null ],
-    [ "Saturate", "classflair_1_1core_1_1_vector3_d.html#aa7d73d1f9cfd2f9a6da275ac92ed215e", null ],
-    [ "Saturate", "classflair_1_1core_1_1_vector3_d.html#a3ad4bdcace1ac9bcb5abc85f7d9e5a71", null ],
-    [ "operator[]", "classflair_1_1core_1_1_vector3_d.html#a36b91e889f5c1af9f9fdbd3e8767f899", null ],
-    [ "operator[]", "classflair_1_1core_1_1_vector3_d.html#ad938aaec265b052b291a62ef43d2684d", null ],
-    [ "operator=", "classflair_1_1core_1_1_vector3_d.html#a7658adc90742044380b6b5a05a25628e", null ],
-    [ "operator+=", "classflair_1_1core_1_1_vector3_d.html#a8e9925463e3656fa38f1807b2a8a127a", null ],
-    [ "operator-=", "classflair_1_1core_1_1_vector3_d.html#a1034a69a45f0b5703933ad46eb066e51", null ],
-    [ "x", "classflair_1_1core_1_1_vector3_d.html#a6762d159674d7a41f7222788f1e22521", null ],
-    [ "y", "classflair_1_1core_1_1_vector3_d.html#a384aaec66e633291ca72453027f5c7a7", null ],
-    [ "z", "classflair_1_1core_1_1_vector3_d.html#ab63f9cacf690d26f2ac1669c4dc2fa72", null ]
+    [ "Vector3D", "classflair_1_1core_1_1_vector3_d.html#a4434fbd95b0f760a7f374d8068238c87", null ],
+    [ "~Vector3D", "classflair_1_1core_1_1_vector3_d.html#ae09b7edbe9f6be35b9f171eefd401b99", null ],
+    [ "RotateX", "classflair_1_1core_1_1_vector3_d.html#a195e8601b80e5e85a4d361c5a9b746a0", null ],
+    [ "RotateXDeg", "classflair_1_1core_1_1_vector3_d.html#a70eb14b1c286020f1e5a092a6188b361", null ],
+    [ "RotateY", "classflair_1_1core_1_1_vector3_d.html#a47b3902a89379a918cd9f5441aa7c748", null ],
+    [ "RotateYDeg", "classflair_1_1core_1_1_vector3_d.html#a57a22e954ffffa6f9c8d828788ac1eac", null ],
+    [ "RotateZ", "classflair_1_1core_1_1_vector3_d.html#aaa82d7a6693e70ff7b242aceb977e9c0", null ],
+    [ "RotateZDeg", "classflair_1_1core_1_1_vector3_d.html#a3cd28096c5b268d44fae64ff3de97c60", null ],
+    [ "Rotate", "classflair_1_1core_1_1_vector3_d.html#a5b55225f9547b97a21758c1e2b65dea3", null ],
+    [ "Rotate", "classflair_1_1core_1_1_vector3_d.html#a1c4c2cbb39ec5583856b3114924d6f86", null ],
+    [ "To2Dxy", "classflair_1_1core_1_1_vector3_d.html#a2ca154983653645e266a1c2331222a79", null ],
+    [ "To2Dxy", "classflair_1_1core_1_1_vector3_d.html#af7bca23dab226f26818cddcac3771b0e", null ],
+    [ "GetNorm", "classflair_1_1core_1_1_vector3_d.html#a4249aef85a1848a2952dfafbe6caad12", null ],
+    [ "Normalize", "classflair_1_1core_1_1_vector3_d.html#a8230b1bbc50b49afac2758e44bcbb02c", null ],
+    [ "Saturate", "classflair_1_1core_1_1_vector3_d.html#a82a85beea28856be5b64f1d773ecebec", null ],
+    [ "Saturate", "classflair_1_1core_1_1_vector3_d.html#a99cd39aa3d52bea0d6f6227f950b3775", null ],
+    [ "Saturate", "classflair_1_1core_1_1_vector3_d.html#a0ce7a8a1fd1a493fa23963d80189b500", null ],
+    [ "Saturate", "classflair_1_1core_1_1_vector3_d.html#a057004d70fec9ca92fc47b8f02eb44ed", null ],
+    [ "operator[]", "classflair_1_1core_1_1_vector3_d.html#a2e8eff1377049ede3441a8d249f2bbaf", null ],
+    [ "operator[]", "classflair_1_1core_1_1_vector3_d.html#a22ec1b9cd25423fb0aed4f1254825013", null ],
+    [ "operator=", "classflair_1_1core_1_1_vector3_d.html#abc4d4c8113a4138f510cdd21e38dbe96", null ],
+    [ "operator+=", "classflair_1_1core_1_1_vector3_d.html#afb9650fac2fe8aaef7ee32cd45330b02", null ],
+    [ "operator-=", "classflair_1_1core_1_1_vector3_d.html#a243c5bd66cb20687d6db891517a696f9", null ],
+    [ "x", "classflair_1_1core_1_1_vector3_d.html#abb356ca2add4d7cd62c3e1772ce84a4f", null ],
+    [ "y", "classflair_1_1core_1_1_vector3_d.html#a62a7b867d542c4aee7634f8a58b25256", null ],
+    [ "z", "classflair_1_1core_1_1_vector3_d.html#ab0c47253b9de56abf0fbe9661f9e1812", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1filter_1_1_butterworth_low_pass.js
===================================================================
--- trunk/doc/Flair/classflair_1_1filter_1_1_butterworth_low_pass.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1filter_1_1_butterworth_low_pass.js	(revision 50)
@@ -1,6 +1,6 @@
 var classflair_1_1filter_1_1_butterworth_low_pass =
 [
-    [ "ButterworthLowPass", "classflair_1_1filter_1_1_butterworth_low_pass.html#ad1417a0766eef7efb2edff2ee414088f", null ],
-    [ "ButterworthLowPass", "classflair_1_1filter_1_1_butterworth_low_pass.html#ad7fe750163ad9241b1e0ba2eef88329c", null ],
+    [ "ButterworthLowPass", "classflair_1_1filter_1_1_butterworth_low_pass.html#aa982dd5cecd600c46345fe63a65e0370", null ],
+    [ "ButterworthLowPass", "classflair_1_1filter_1_1_butterworth_low_pass.html#a95c0459c5ab91626fe61560db664932d", null ],
     [ "~ButterworthLowPass", "classflair_1_1filter_1_1_butterworth_low_pass.html#a8d46936fb2781bc74297c1fee29f54b7", null ],
     [ "Output", "classflair_1_1filter_1_1_butterworth_low_pass.html#a6575a8015f4b57ea3c4480c713b2dcc7", null ],
Index: trunk/doc/Flair/classflair_1_1filter_1_1_gx3__25__ahrs.js
===================================================================
--- trunk/doc/Flair/classflair_1_1filter_1_1_gx3__25__ahrs.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1filter_1_1_gx3__25__ahrs.js	(revision 50)
@@ -1,6 +1,5 @@
 var classflair_1_1filter_1_1_gx3__25__ahrs =
 [
-    [ "Gx3_25_ahrs", "classflair_1_1filter_1_1_gx3__25__ahrs.html#a81454973b37dea1c53e4da99635be4d5", null ],
-    [ "~Gx3_25_ahrs", "classflair_1_1filter_1_1_gx3__25__ahrs.html#a6cfc6f7dbcba21cbf7e737ba602b18a5", null ],
-    [ "Start", "classflair_1_1filter_1_1_gx3__25__ahrs.html#ad91254adabea1141dd3bdb2ff4ad1462", null ]
+    [ "Gx3_25_ahrs", "classflair_1_1filter_1_1_gx3__25__ahrs.html#a7dc4516843513ef1eeb82575ce982a72", null ],
+    [ "~Gx3_25_ahrs", "classflair_1_1filter_1_1_gx3__25__ahrs.html#a6cfc6f7dbcba21cbf7e737ba602b18a5", null ]
 ];
Index: trunk/doc/Flair/classflair_1_1filter_1_1_simu_ahrs.js
===================================================================
--- trunk/doc/Flair/classflair_1_1filter_1_1_simu_ahrs.js	(revision 47)
+++ trunk/doc/Flair/classflair_1_1filter_1_1_simu_ahrs.js	(revision 50)
@@ -1,6 +1,5 @@
 var classflair_1_1filter_1_1_simu_ahrs =
 [
-    [ "SimuAhrs", "classflair_1_1filter_1_1_simu_ahrs.html#a95df052b37b684b2a1f753163d6baaeb", null ],
-    [ "~SimuAhrs", "classflair_1_1filter_1_1_simu_ahrs.html#abc6e5fb30794862c01828b73166a405d", null ],
-    [ "Start", "classflair_1_1filter_1_1_simu_ahrs.html#a62d4c34069a45aa85acb5d16c0ecccc2", null ]
+    [ "SimuAhrs", "classflair_1_1filter_1_1_simu_ahrs.html#ae6d464ee0bdb6dee924b536532e6cd53", null ],
+    [ "~SimuAhrs", "classflair_1_1filter_1_1_simu_ahrs.html#abc6e5fb30794862c01828b73166a405d", null ]
 ];
